Change log

Home
API Change
Resource API

Support for Apple Pay and Google Pay added to POST /sessions method


To use walletPay
  • paymentType must be either apple_pay or google_pay
  • walletPayload is mandatory
  • walletPayload must be the payload received from Google Pay or Apple Pay
  • walletPayload must be base64 encoded

Payment against paymentType Required fields *
Apple Pay apple_pay walletPayload
Google Pay google_pay walletPayload
Auth and Resource API

Header App-Version added for all methods

  • Usage: key App-Version value ios-3.1.0-52
  • Optional header
  • Even though the format is not enforced, it is encouraged to send app version as [platform]-[version]-[buildNumber]
  • Maximum length is 20
Resource API

chargingStatus stopping added to GET /sessions response

When a stop request is received by the server and the stop request is being processed, the chargingStatus returned is stopping until the session state changes

stopping status is only returned for newer releases of the apps
(Apps that provide App-Version in the header of the API request)